Subject: bug#18556: 24.4.50; update-file-autoloads never ends

From: Vincent Belaïche <[email-masked]>
Date: Mon, 29 Sep 2014 09:06:27 +0200

----------------------------------------
> Date: Mon, 29 Sep 2014 09:53:15 +0300
> From: [email-masked]
> Subject: Re: bug#18556: 24.4.50; update-file-autoloads never ends
> To: [email-masked]
> CC: [email-masked]; [email-masked]
>
> > From: Vincent Belaïche <[email-masked]>
> > Cc: Vincent Belaïche <[email-masked]> ,
> > [email-masked], Paul Eggert <[email-masked]>
> > Date: Mon, 29 Sep 2014 08:38:15 +0200
> >
> > Just to clarify the point that -Q should or not prevent the shadowing:
> > it *should* prevent shadowing.
> >
> > What I do in the init.el is that I remove from load-path the path to the
> > eieio bundled with Emacs, and I replace it with another one on some
> > cedet anonymous checkout.
> >
> > So, if I have -Q this hacking of load-path does not occur, and shadowing
> > bundled module won't occur.
>
> This is a misunderstanding. I didn't mean what you do in init.el, I
> meant these lines in balance.el:
>
> (require 'eieio)
> (require 'calc-ext)
> (require 'calc-forms)
>
> If you have another version of eieio and/or calc somewhere along your
> default load-path, then these 'require' directives will load those
> other versions.

Well,

Loading the other versions was what was "intended" for eieio. Indeed
that could be changed now because I presume that current Emacs has a
recent enough eieio, and anyway balance did not really needed that
recent one, I just did that in my init.el because of jdee.

Anyway, I don't think that this is the problem, with the -Q option I do
not tamper with the default load-path, so those lines in balance.el will
load the package that are bundled with Emacs, not any other ones. Won't
they? But still I have the hanging with -Q.

  Vincent.